From 39b7fd2420961723971beda8773e61d786786ae3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 35/42] New package: python3-pathlib2-2.3.4

---
 srcpkgs/python-pathlib2/template | 23 +++++++++++++++++------
 srcpkgs/python3-pathlib2         |  1 +
 2 files changed, 18 insertions(+), 6 deletions(-)
 create mode 120000 srcpkgs/python3-pathlib2

diff --git a/srcpkgs/python-pathlib2/template b/srcpkgs/python-pathlib2/template
index 4bd0af24131..bb7bec778f5 100644
--- a/srcpkgs/python-pathlib2/template
+++ b/srcpkgs/python-pathlib2/template
@@ -1,20 +1,31 @@
 # Template file for 'python-pathlib2'
 pkgname=python-pathlib2
 version=2.3.4
-revision=1
+revision=2
 archs=noarch
 wrksrc="pathlib2-${version}"
-build_style=python2-module
-pycompile_module="pathlib2.py"
-hostmakedepends="python-setuptools"
+build_style=python-module
+pycompile_module="pathlib2"
+hostmakedepends="python-setuptools python3-setuptools"
 depends="python-six python-scandir"
-short_desc="Backport of Python 3.4+ pathlib module"
+short_desc="Object-oriented filesystem paths (Python2)"
 maintainer="Alessio Sergi <al3hex@gmail.com>"
-homepage="https://github.com/mcmtroffaes/pathlib2"
 license="MIT"
+homepage="https://github.com/mcmtroffaes/pathlib2"
 distfiles="${PYPI_SITE}/p/pathlib2/pathlib2-${version}.tar.gz"
 checksum=446014523bb9be5c28128c4d2a10ad6bb60769e78bd85658fe44a450674e0ef8
 
+python3-pathlib2_package() {
+	archs=noarch
+	depends="python3-six python3-scandir"
+	pycompile_module="pathlib2"
+	short_desc="${short_desc/Python2/Python3}"
+	pkg_install() {
+		vmove usr/lib/python3*
+		vlicense LICENSE.rst
+	}
+}
+
 post_install() {
 	vlicense LICENSE.rst
 }
diff --git a/srcpkgs/python3-pathlib2 b/srcpkgs/python3-pathlib2
new file mode 120000
index 00000000000..bb0f70e054c
--- /dev/null
+++ b/srcpkgs/python3-pathlib2
@@ -0,0 +1 @@
+python-pathlib2
\ No newline at end of file

